#include<stdio.h>

int main()

{
  int a,b,c,x,min,broj2,broj3,broj4,broj5,broj6;
  scanf("%d", &x);
  if(x<100 || x>999)
  {  printf("-1");
     return -1;
  }
  c=x%10;
  b=x/10%10;
  a=x/100;
  broj2=a*100+c*10+b;
  broj3=100*b+10*a+c;
  broj4=100*b+10*c+a;
  broj5=100*c+10*a+b;
  broj6=c*100+b*10+a;
  min=x;
  if(broj2<min)
     min=broj2;
  if(broj3<min)
     min=broj3;
  if(broj4<min)
     min=broj4;
  if(broj5<min)
     min=broj5;
  if(broj6<min)
     min=broj6;
  printf("%d",min);
}